#ifndef __TRAY_H__
#define __TRAY_H__

#include <gdk/gdkwin32.h>
#include "mainwindow.h"

/* sylpheed main icon */
#define IDI_ICON1                       101

#define TRAY_STATE_NONE		0
#define TRAY_STATE_RESTORE	1
#define TRAY_STATE_MINIMIZED	2
#define TRAY_STATE_MAXIMIZED	3

#define ICON_DEFAULT		0
#define ICON_NEW		1
#define ICON_UNREAD		2

extern int tray_init(GtkWidget *mainwin);
extern int tray_close(void);
extern void ShowTrayIcon(boolean show);
extern void SetWindowState(gint winstate);
extern int tray_set_hint(const char *hint);
extern int tray_set_icon(int icon);

MainWindow *mainwindow;
gboolean trayplugin_enable;
gboolean trayplugin_persistent;
gint trayplugin_windowstate;
gint trayplugin_laststate;


#endif /* __TRAY_H__ */